Firmware 1.0.2 or 1.1.0?

Discussion in 'Other Flashing Hardware & Software' started by br0pbr0p, Feb 15, 2008.

Feb 15, 2008

Firmware 1.0.2 or 1.1.0? by br0pbr0p at 5:19 AM (1,598 Views / 0 Likes) 7 replies

  1. br0pbr0p
    OP

    Newcomer br0pbr0p Member

    Joined:
    Sep 18, 2006
    Messages:
    15
    Country:
    Canada
    I haven't visited the DS-X site for a long time (got no reason to) and I have not done any firmware upgrade since 1.0.2.

    I see people have lots of problem but honestly, my DS-X has worked perfectly fine for me. Aside from the Arm7.bin issue, which I just use DSlazy to replace, it works fine for me.

    However, for some reason, Professor Layton (Rom:2002) does not seem to work for me. So my question is, will it work if I change my firmware? I see on Wiki that it works with 1.1.2 but I see that 1.1.2 isn't exactly the best firmware to use.

    Any suggestion?

    Thanks
     
  2. -=SkReeK=-

    Newcomer -=SkReeK=- Member

    Joined:
    Nov 6, 2002
    Messages:
    42
    Country:
    Germany
    all i can say is that i have 1.1.2 since it came out and didn't have any problems with it besides the arm7 issue.

    layton works for me.
     
  3. amemoryoncelost

    Member amemoryoncelost GBAtemp Regular

    Joined:
    Nov 9, 2006
    Messages:
    261
    Country:
    United States
    I don't think firmware has anything to do with whether a game is going to work or not, but I suppose it could since I haven't updated mine either. I would wait and see if anyone else is getting it to work with 1.1.2 before updating the firmware. I had some games that would not work at all, with or without the arm7 fix, so wait and see. Better than updating the firmware and having even more issues
     
  4. br0pbr0p
    OP

    Newcomer br0pbr0p Member

    Joined:
    Sep 18, 2006
    Messages:
    15
    Country:
    Canada
    This is the first game that didn't work for me. I checked on Wiki and it said it worked with Arm7 fix with 1.1.2. I am just not sure if firmware has anything to do with it. =\
     
  5. amemoryoncelost

    Member amemoryoncelost GBAtemp Regular

    Joined:
    Nov 9, 2006
    Messages:
    261
    Country:
    United States
    luxor pharohs challenge would not work, arm7 fix or not, but eh, go ahead an update, I just know there was an issue where people started having problems after updating the firmware. I actually just put mine in a box(sold it) and should be receiving my cyclo sometime in the next week or two..
     
  6. br0pbr0p
    OP

    Newcomer br0pbr0p Member

    Joined:
    Sep 18, 2006
    Messages:
    15
    Country:
    Canada
    I am going to change to R4 soon. Going to get my parents to buy it for me from HK, dealextreme is out of stock. I guess I will just wait to play that game later.
     
  7. NeSchn

    Member NeSchn GBAPimpdaddy.

    Joined:
    Oct 4, 2007
    Messages:
    3,533
    Location:
    Troy,New York PimpStatus: King
    Country:
    United States
    I wouldn't update. I have heard of many problems from updating, even though I don't use mine anymore I will always keep it at 1.0.2
     
  8. the newgod

    Newcomer the newgod Member

    Joined:
    Jan 5, 2008
    Messages:
    20
    Country:
    United Kingdom
    I second that, you are essentially playing Russian roulette with your card if you update. I updated my card and a friends to 1.1.2 and a few days later his just stopped working, but mine still works fine. Its messed up because we got our cards at the same time from the same batch and when I updated them I did it on the same laptop one after the other five minutes apart!
     

Share This Page